Name:		lxcfs
Version:	6.0.4
Release:	%mkrel 1
Summary:	FUSE filesystem for LXC
Group:		System/Kernel and hardware
License:	ASL 2.0
URL:		https://linuxcontainers.org/lxcfs
Source0:	https://linuxcontainers.org/downloads/%{name}/%{name}-%{version}.tar.gz
Source1:	https://linuxcontainers.org/downloads/%{name}/%{name}-%{version}.tar.gz.asc
BuildRequires:	help2man
BuildRequires:	meson
BuildRequires:	python3dist(jinja2)
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(systemd)

# for /usr/share/lxc/config/common.conf.d:
Requires:	lxc

%description
LXCFS is a small FUSE filesystem written with the intention of making
Linux containers feel more like a virtual machine. It started as a
side-project of LXC but is usable by any runtime.

LXCFS will take care that the information provided by crucial files in
procfs are container aware such that the values displayed (e.g. in
/proc/uptime) really reflect how long the container is running and not
how long the host is running.

%prep
%autosetup -p1

%build
%meson \
	-D init-script=systemd \
	-D runtime-path=%{_rundir}
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

# cache dir
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_unitdir}/%{name}.service
%{_datadir}/lxc/config/common.conf.d/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%dir %{_sharedstatedir}/%{name}
%dir %{_localstatedir}/cache/%{name}


%changelog
* Sat Apr 05 2025 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2173683
- new version: 6.0.4

* Fri Dec 20 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2126672
- new version: 6.0.3

* Fri Sep 20 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2099216
- new version: 6.0.2

* Fri Jun 28 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2077845
- new version: 6.0.1

* Fri Apr 19 2024 daviddavid <daviddavid> 6.0.0-1.mga10
+ Revision: 2059549
- new version: 6.0.0
- fix post/preun scriptlet

* Fri Sep 01 2023 daviddavid <daviddavid> 5.0.4-1.mga10
+ Revision: 1983052
- new version: 5.0.4
- remove merged upstream patch

* Fri Jan 27 2023 daviddavid <daviddavid> 5.0.3-1.mga9
+ Revision: 1936362
- new version: 5.0.3

* Fri Jan 27 2023 daviddavid <daviddavid> 5.0.2-1.mga9
+ Revision: 1936338
- initial package lxcfs

